summaryrefslogtreecommitdiffstats
path: root/functional_tests.sh
diff options
context:
space:
mode:
authorPrashanth Pai <ppai@redhat.com>2014-04-10 16:49:05 +0530
committerGerrit Code Review <review@dev.gluster.org>2014-05-19 18:34:48 -0700
commit8acb5a7585a8e155cf0c9d0a60d76e75cdd725f7 (patch)
tree45ffd1ca45cce932b2916a71d94e150fe770db08 /functional_tests.sh
parentda5a33d206431f885a4dc029d79f693a27ef293a (diff)
Fix functional tests
* The order of elements in list returned by listdir() can vary and may not be sorted. This caused assertEqual in "test_listdir" to fail. * Also, some systems may have xattrs belonging to selinux. So, a listxattr can list them too. * Allow hostname/ip and volume name to be configured easily by setting it in test.conf. This enables functional tests to use a non-local volume. * Cleanup volume before and after running functional tests. * Added MANIFEST.in and LICENSE file Change-Id: Icfa6eb60e8d8e7ed4d6ab8190a2a2c80688999a3 Signed-off-by: Prashanth Pai <ppai@redhat.com>
Diffstat (limited to 'functional_tests.sh')
-rwxr-xr-xfunctional_tests.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/functional_tests.sh b/functional_tests.sh
new file mode 100755
index 0000000..32fcbe6
--- /dev/null
+++ b/functional_tests.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+# Copyright (c) 2014 Red Hat, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This program expects to be run by tox in a virtual python environment
+# so that it does not pollute the host development system
+
+cleanup()
+{
+ if [ -d "/export/brick/b1/" ]; then
+ sudo rm -rf /export/brick/b1/* > /dev/null 2>&1
+ fi
+}
+
+fail()
+{
+ cleanup
+ echo "$1"
+ exit 1
+}
+
+### MAIN ###
+
+mkdir functional_tests > /dev/null 2>&1
+nosetests -v --exe \
+ --with-xunit \
+ --xunit-file functional_tests/libgfapi-python.xml \
+ --with-html-output \
+ --html-out-file functional_tests/libgfapi-python-result.html \
+ test/functional || fail "Functional tests failed"
+
+cleanup
+exit 0